Update an escalation rule
curl --request PATCH \
--url https://api.mnemom.ai/v1/orgs/{org_id}/governance/escalation-rules/{rule_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"predicate": {
"pattern_type": "<string>",
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"threshold_count": 2,
"window_minutes": 2
},
"destination_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"enabled": true
}
'import requests
url = "https://api.mnemom.ai/v1/orgs/{org_id}/governance/escalation-rules/{rule_id}"
payload = {
"name": "<string>",
"predicate": {
"pattern_type": "<string>",
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"threshold_count": 2,
"window_minutes": 2
},
"destination_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"enabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
predicate: {
pattern_type: '<string>',
team_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
threshold_count: 2,
window_minutes: 2
},
destination_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
enabled: true
})
};
fetch('https://api.mnemom.ai/v1/orgs/{org_id}/governance/escalation-rules/{rule_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"org_id": "<string>",
"name": "<string>",
"predicate": {
"pattern_type": "<string>",
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"threshold_count": 2,
"window_minutes": 2
},
"destination_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"enabled": true,
"fire_count": 1,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"last_fired_at": "2023-11-07T05:31:56Z",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Governance
Update an escalation rule
Authorized: org_admin or org_owner.
PATCH
/
orgs
/
{org_id}
/
governance
/
escalation-rules
/
{rule_id}
Update an escalation rule
Authorizations
BearerAuthApiKeyAuth
Supabase JWT token in Authorization: Bearer header
Path Parameters
Organization identifier (e.g. org-abc12345)
Body
application/json
Response
Escalation rule.
Show child attributes
Show child attributes
Minimum array length:
1Required range:
x >= 0⌘I